xcb_dri2_copy_region(3)

NAME
xcb_dri2_copy_region -

SYNOPSIS
#include <xcb/dri2.h>

  Request function

xcb_dri2_copy_region_cookie_t xcb_dri2_copy_region(xcb_connection_t *conn, xcb_drawable_t drawable, uint32_t region, uint32_t dest, uint32_t src);

  Reply datastructure

typedef struct xcb_dri2_copy_region_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
} xcb_dri2_copy_region_reply_t;

  Reply function

xcb_dri2_copy_region_reply_t *xcb_dri2_copy_region_reply(xcb_connection_t *conn, xcb_dri2_copy_region_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

drawable
    TODO: NOT YET DOCUMENTED.

region
    TODO: NOT YET DOCUMENTED.

dest
    TODO: NOT YET DOCUMENTED.

src TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_DRI2_COPY_REGION. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

DESCRIPTION

RETURN VALUE
Returns an xcb_dri2_copy_region_cookie_t. Errors have to be handled when calling the reply function xcb_dri2_copy_region_reply. If you want to handle errors in the event loop instead, use xcb_dri2_copy_region_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from dri2.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.